### Method

# Vips Image icc_ac2rc

#### Declaration [src]

    int
    vips_icc_ac2rc (
      VipsImage* in,
      VipsImage** out,
      const char* profile_filename
    )

#### Description [src]

Transform an image from absolute to relative colorimetry using the MediaWhitePoint stored in the ICC profile.

See also

`vips_icc_transform()`, `vips_icc_import()`.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`profile_filename`

  Type: `const char*`

  Use this profile.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

0 on success, -1 on error.